> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create webhook

> Creates a webhook for a project to receive HTTP notifications when content changes.



## OpenAPI

````yaml post /projects/{project_id}/webhooks
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/webhooks:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
    post:
      tags:
        - Webhooks
      summary: Create webhook
      description: >-
        Creates a webhook for a project to receive HTTP notifications when
        content changes.
      operationId: projects/webhooks#create
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/requestBodyProjectWebhookCreate'
            examples:
              example:
                $ref: '#/components/examples/requestProjectWebhookExample'
      responses:
        '201':
          description: successful
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/projectWebhookExample'
              schema:
                $ref: '#/components/schemas/projectWebhookModel'
      security:
        - apiKey: []
components:
  schemas:
    requestBodyProjectWebhookCreate:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          description: >-
            The URL that BeyondWords will send webhook notifications to. This
            URL must be served over HTTPS
        headers:
          type: object
        use_static_ip:
          type: boolean
          description: Whether requests to URL should originate from a static IP address.
        enabled:
          type: boolean
          description: >-
            Whether or not the webhook is enabled or disabled Has the value true
            if enabled. The default is true.
    projectWebhookModel:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the object
        url:
          type: string
          description: >-
            The URL that BeyondWords will send webhook notifications to. This
            URL must be served over HTTPS
        headers:
          type: object
        enabled:
          type: boolean
          description: >-
            Whether or not the webhook is enabled or disabled Has the value true
            if enabled. The default is true.
        use_static_ip:
          type: boolean
          description: Whether requests to URL should originate from a static IP address.
        created:
          type: string
          format: date-time
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          format: date-time
          description: Time at which the object was updated (ISO 8601)
  examples:
    requestProjectWebhookExample:
      summary: Sample webhook request
      value:
        url: https://new_example.com/
    projectWebhookExample:
      summary: A sample webhook response
      value:
        id: 1
        url: https://example.com/
        enabled: true
        use_static_ip: false
        headers:
          Authorization: Bearer xxxxxx
          X-My-Custom-Header-Y: yyyyyy
          X-My-Custom-Header-Z: zzzzzz
        created: 2022-01-02 23:59:59 UTC
        updated: 2022-03-04 00:00:00 UTC
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````